Package org.apache.cxf.common.i18n

# Class Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.cxf.common.i18n.Exception

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `Base64Exception`, `BusException`, `EndpointException`, `EndpointUtilsException`

public class Exception extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Exception(Throwable cause)`
  `Exception(Message msg)`
  `Exception(Message msg, Throwable t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getMessage()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Exception

    public Exception(Message msg)

  - ### Exception

    public Exception(Message msg, Throwable t)

  - ### Exception

    public Exception(Throwable cause)

- ## Method Details

  - ### getCode

    public String getCode()

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`